You don't "need" NowX. NUTD/NC work OK with 10.6.3. No QD/QC, other than that it's pretty much OK for me.